Documentation Mercado Libre
Check out all the necessary information about APIs Mercado Libre.
Documentation
Listing types
Now your listings are differentiated by the installments you add
So you can more clearly identify what your listings offer, we stopped calling them Classic or Premium (applies only at the frontend level, at the backend level we will continue using listing_type gold_special and gold_pro) and you can differentiate them like this:
- Listings where you choose not to add installments
Apply to gold_special listings, they only have the interest-bearing installments offered by banks. That's why you only pay the selling fee and, if applicable, also the fixed cost. - Listings where you choose to add installments
In gold_pro listings, by offering more convenient installments to buyers, you pay the selling fee plus a cost for offering installments, and the fixed cost if applicable.
Learn more about costs and commissions.
Keep in mind the relationship between listing_type (required attribute) and campaign tags. Learn more about Installment campaigns for Marketplace.
Listing types by site
Learn about the different listing types by site on Mercado Libre. To find out the available IDs, execute the following call.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/sites/$SITE_ID/listing_types
Example site MLA:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/sites/MLA/listing_types
Response:
[
{
"site_id": "MLA",
"id": "gold_pro",
"name": "Premium"
},
{
"site_id": "MLA",
"id": "gold_premium",
"name": "Oro Premium"
},
{
"site_id": "MLA",
"id": "gold_special",
"name": "Clásica"
},
{
"site_id": "MLA",
"id": "gold",
"name": "Oro"
},
{
"site_id": "MLA",
"id": "silver",
"name": "Plata"
},
{
"site_id": "MLA",
"id": "bronze",
"name": "Bronce"
},
{
"site_id": "MLA",
"id": "free",
"name": "Gratuita"
}
]
Listing type specification
If you want more information about a specific listing_type by site, include the ID in the call:
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/sites/$SITE_ID/listing_types/$LISTING_TYPE_ID
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/sites/MLA/listing_types/gold_special
Response:
{
"id": "gold_special",
"not_available_in_categories": [
"MLA1743",
"MLA1459",
"MLA1540"
],
"configuration": {
"name": "Classic",
"listing_exposure": "highest",
"requires_picture": true,
"max_stock_per_item": 99999,
"deduction_profile_id": null,
"differential_pricing_id": null,
"duration_days": {
"buy_it_now": 7300,
"auction": null,
"classified": null
},
"immediate_payment": {
"buy_it_now": false,
"auction": false,
"classified": false
},
"mercado_pago": "mandatory",
"listing_fee_criteria": {
"min_fee_amount": 0,
"max_fee_amount": 0,
"percentage_of_fee_amount": 0,
"currency": "ARS"
},
"sale_fee_criteria": {
"min_fee_amount": 0,
"max_fee_amount": 750000,
"percentage_of_fee_amount": 13,
"currency": "ARS"
}
},
"exceptions_by_category": []
}
The gold_special and gold_pro listings will have unlimited duration; you can check it in /items, filtering by the stop_time attribute:
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/items/$ITEM_ID?attributes=stop_time
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/items/MLA1389403099?attributes=stop_time
Remember that listings will be paused if stock is at 0 and will be activated when you add a new quantity. Learn more about how to Update stock of your listings.
Available listing types
You can check the available listing types for a specific user and category.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/users/$USER_ID/available_listing_types?category_id=$CATEGORY_ID
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/users/1234/available_listing_types?category_id=MLA1055
Response:
{
"category_id": "MLA1055",
"available": [
{
"site_id": "MLA",
"id": "gold_pro",
"name": "Premium",
"remaining_listings": null
},
{
"site_id": "MLA",
"id": "gold_special",
"name": "Classic",
"remaining_listings": null
},
{
"site_id": "MLA",
"id": "free",
"name": "Free",
"remaining_listings": 10
}
]
}
If you cannot publish in a certain listing type and want to know why it is not available to you, you can perform a GET to find out the reason:
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/users/$USER_ID/available_listing_type/free?category_id=$CATEGORY_ID
Response:
{
"available": false,
"cause": "You have more than 5 transactions in the last year.",
"code": "list.transactions.exceeded"
}
Listing exposures
You can check information about the exposure levels associated with all listing types on Mercado Libre by site.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/sites/$SITE_ID/listing_exposures
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/sites/MLA/listing_exposures
Response:
[
{
"id": "lowest",
"name": "Lowest",
"home_page": false,
"category_home_page": false,
"advertising_on_listing_page": true,
"priority_in_search": 4
},
{
"id": "low",
"name": "Low",
"home_page": false,
"category_home_page": false,
"advertising_on_listing_page": false,
"priority_in_search": 3
},
{
"id": "mid",
"name": "Medium",
"home_page": false,
"category_home_page": true,
"advertising_on_listing_page": false,
"priority_in_search": 2
},
{
"id": "high",
"name": "High",
"home_page": false,
"category_home_page": true,
"advertising_on_listing_page": false,
"priority_in_search": 1
},
{
"id": "highest",
"name": "Highest",
"home_page": true,
"category_home_page": true,
"advertising_on_listing_page": false,
"priority_in_search": 0
}
]
You can also check each exposure level separately with its respective ID.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/sites/$SITE_ID/listing_exposures/$EXPOSURE_LEVEL
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/sites/MLA/listing_exposures/high
Response:
{
"id": "high",
"name": "High",
"home_page": false,
"category_home_page": true,
"advertising_on_listing_page": false,
"priority_in_search": 1
}
Available transactions for a listing
You can check the available listing_type types for a specific listing, it may vary by site.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/items/$ITEM_ID/available_listing_types
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/items/MLA1389403099/available_listing_types
Response:
[
{
"site_id": "MLA",
"id": "gold_pro",
"name": "Premium"
},
{
"site_id": "MLA",
"id": "gold_premium",
"name": "Gold Premium"
}
]
Available upgrades for a listing
You can upgrade to a higher listing type. If you need to upgrade, you can see which listing types are available for your item, it may vary by site. If no upgrades are available, it returns an empty list.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/items/$ITEM_ID/available_upgrades
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/items/MLA1389403099/available_upgrades
Response:
[
{
"site_id": "MLA",
"id": "gold_pro",
"name": "Premium"
}
]
Available downgrades for a listing
Downgrade is reducing the exposure of your listing by updating it to a lower type. It is available for some particular cases:
- Downgrades are allowed between gold_pro and gold_special listings and vice versa at any time (depends on the site).
- You can downgrade a listing with PAYMENT_REQUIRED status. Additionally, in MLA you can also downgrade listings with ACTIVE, NOT_YET_ACTIVE, UNDER_REVIEW and PAUSED status.
- Downgrading a listing to free is not allowed.
- If no downgrades are available, it returns an empty list.
Request:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/items/$ITEM_ID/available_downgrades
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/items/MLA1389403099/available_downgrades
Response:
[ ]
Update listing type
Remember that you can switch between gold_special and gold_pro listing types (depends on the site) whenever you want at no charge.
If you want to update the listing_type of a listing, you must make a POST to the following resource:
Request:
curl -X POST -H 'Authorization: Bearer $ACCESS_TOKEN' -H "Content-Type: application/json" -H "Accept: application/json" -d
{
"id": "gold_special"
}
https://api.mercadolibre.com/items/$ITEM_ID/listing_type
Example:
curl -X POST -H 'Authorization: Bearer $ACCESS_TOKEN' -H "Content-Type: application/json" -H "Accept: application/json" -d
{
"id": "gold_special"
}
https://api.mercadolibre.com/items/MLA1389403099/listing_type
Response:
{
"id": "MLA1389403099",
"site_id": "MLA",
"title": " Moto Z3 Play 64 Gb Indigo Oscuro 4 Gb Ram",
"subtitle": null,
"seller_id": 1160561786,
"category_id": "MLA1055",
"user_product_id": "MLAU10645855",
"official_store_id": null,
"price": 18008976,
"base_price": 18008976,
"original_price": null,
"inventory_id": null,
"currency_id": "ARS",
"initial_quantity": 6,
"available_quantity": 6,
"sold_quantity": 0,
"sale_terms": [],
"buying_mode": "buy_it_now",
"listing_type_id": "gold_special"
}
That's it! Now you are ready to access the correct exposure for your products and perform item updates. As we know that sometimes you need more than one attempt to create your listing, we offer you the possibility to check if your listing is exactly how you wanted it before publishing. Learn more about the listing validator.
Learn more about:
- Installment campaigns for Marketplace (applies only to MLA).
- Selling fees.